/*
 * @(#)CustomerEntity.java
 *
 * Copyright 2005 Mamezou, co., ltd. All rights reserved.
 * Use is subject to license terms.
 */

package com.mamezou.webdbpress26.tutorial.dataaccess;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * qlEntityłB
 * 
 * @author Hirofumi Iwasaki
 * @version 1.0
 */
public class CustomerEntity implements Serializable {

    /** OCID */
    private String id;
    
    /** pX[h */
    private String password;
    
    /** O() */
    private String nameKanji;
    
    /** O(ǂ݉) */
    private String nameKana;
    
    /** X֔ԍ */
    private String postalCode;
    
    /** Z */
    private String address;

    /** dbԍ */
    private String telephone;
    
    /** dq[AhX */
    private String emailAddress;
    
    /** o^ */
    private Timestamp registerTimestamp;

    /** XV */
    private Timestamp updateTimestamp;
    
    /**
     * @return address ߂܂B
     */
    public String getAddress() {
        return address;
    }
    /**
     * @param address address ݒB
     */
    public void setAddress(String address) {
        this.address = address;
    }
    /**
     * @return id ߂܂B
     */
    public String getId() {
        return id;
    }
    /**
     * @param id id ݒB
     */
    public void setId(String id) {
        this.id = id;
    }
    /**
     * @return nameKana ߂܂B
     */
    public String getNameKana() {
        return nameKana;
    }
    /**
     * @param nameKana nameKana ݒB
     */
    public void setNameKana(String nameKana) {
        this.nameKana = nameKana;
    }
    /**
     * @return nameKanji ߂܂B
     */
    public String getNameKanji() {
        return nameKanji;
    }
    /**
     * @param nameKanji nameKanji ݒB
     */
    public void setNameKanji(String nameKanji) {
        this.nameKanji = nameKanji;
    }
    /**
     * @return password ߂܂B
     */
    public String getPassword() {
        return password;
    }
    /**
     * @param password password ݒB
     */
    public void setPassword(String password) {
        this.password = password;
    }
    /**
     * @return postalCode ߂܂B
     */
    public String getPostalCode() {
        return postalCode;
    }
    /**
     * @param postalCode postalCode ݒB
     */
    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }
    /**
     * @return emailAddress ߂܂B
     */
    public String getEmailAddress() {
        return emailAddress;
    }
    /**
     * @param emailAddress emailAddress ݒB
     */
    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }
    /**
     * @return telephone ߂܂B
     */
    public String getTelephone() {
        return telephone;
    }
    /**
     * @param telephone telephone ݒB
     */
    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }
    /**
     * @return registerTimestamp ߂܂B
     */
    public Timestamp getRegisterTimestamp() {
        return registerTimestamp;
    }
    /**
     * @param registerTimestamp registerTimestamp ݒB
     */
    public void setRegisterTimestamp(Timestamp registerTimestamp) {
        this.registerTimestamp = registerTimestamp;
    }
    /**
     * @return updateTimestamp ߂܂B
     */
    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }
    /**
     * @param updateTimestamp updateTimestamp ݒB
     */
    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }
}
