/*
 * @(#)CustomerRegisterAction.java
 *
 * Copyright 2005 Mamezou, co., ltd. All rights reserved.
 * Use is subject to license terms.
 */

package com.mamezou.webdbpress26.tutorial.presentation;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.mamezou.webdbpress26.tutorial.businesslogic.CustomerBusinessLogic;
import com.mamezou.webdbpress26.tutorial.dataaccess.CustomerEntity;

/**
 * qlo^̃ANVłB
 * 
 * @author Hirofumi Iwasaki
 * @version 1.0
 */
public class CustomerRegisterAction extends Action {
    
    /**
     * Actions܂B
     * 
     * @param mapping ActionMapping
     * @param form ActionForm
     * @param request HttpServletRequest
     * @param response HttpServletResponse
     * @throws Exception
     */
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            	HttpServletRequest request, HttpServletResponse response) 
    		throws Exception {
        
        // YActionFormɃ_ELXg܂
        CustomerRegisterForm inputForm = (CustomerRegisterForm) form;
        
        // rWlXWbNɓn܂
        CustomerEntity customer = new CustomerEntity();
        customer.setId(inputForm.getId());
        customer.setPassword(inputForm.getPassword());
        customer.setNameKanji(inputForm.getNameKanji());
        customer.setNameKana(inputForm.getNameKana());
        customer.setPostalCode(inputForm.getPostalCode());
        customer.setAddress(inputForm.getAddress());
        customer.setTelephone(inputForm.getTelephone());
        customer.setEmailAddress(inputForm.getEmailAddress());

        // rWlXWbNĂяoēo^s܂
        CustomerBusinessLogic businessLogic = new CustomerBusinessLogic();
        businessLogic.register(customer);

        // ʉʂɑJڂ܂
        return mapping.findForward("success");
    }
}
